// file: CLogLogit.h
// Created: 7/20/2005
// Creator: Matt Wheeler
// Last CLogProbit: 10/31/2005
/*
  Class which is the basis for the optimizatoin and statisitical
  reporting defines what a "binomial likelihood likelihood" should be: 
    
*/ 
////////////////////////////
//GSL Libraries Used
#include <gsl/gsl_vector.h>
#include <gsl/gsl_multimin.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_errno.h>
////////////////////////////

#include "CBinomial.h"

#ifndef __CLASS_CLOGLOGISTIC
#define __CLASS_CLOGLOGISTIC

const int LOGLOGISTIC_ALPHA = 0; 
const int LOGLOGISTIC_BETA  = 1; 
const int LOGLOGISTIC_GAMMA = 2;

class CLogLogistic: public CBinomial{
//////////////////////////////////////////////////////////////////////////////
//Define the friend function that is used in all the classes 
//but must be redefined in each class
//////////////////////////////////////////////////////////////////////////////
    
   
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

public: // Profiling is the only public function that we need to worry about
        // other than the constructors and destructors. 
    CLogLogistic::CLogLogistic(); 
    CLogLogistic::~CLogLogistic();    
    virtual void print_output();  
    void initializeParameters();
protected: 
    // need to change the link function of the to deal with our current situation
    // Quantal Linear link
    virtual double link_function(const double *vector,double dose);   
};

#endif
